Skip to main content

octoprint plugin not installing HELP

for some reason the plugin for for octoprint will not install the Palette 2 plugin somthing must be wrong with the link. is there another way to install the plugin?

Answer this question I have this problem too

Is this a good question?

Score 2
Add a comment

2 Answers

Most Helpful Answer

Hey @ozz4evr, sorry about this - are you following the links in mm3d.co/canvashub-plugin and if so, could you tell us which error you receiving when trying to install the Palette 2 plugin?

Update (08/06/2020)

Hey @ozz4evr and @hh918, we do apologize for this - an update on OctoPrint has been released to address this issue. Please update OctoPrint to version 1.4.2. Plugin installation via URL should work now!

Was this answer helpful?

Score 2

Comments:

The plugin for the Canvas plugin installs just fine. The plugin for the Palette 2 when trying to install returns this error ......

ERROR: Invalid requirement: '\'file:///tmp/tmpjZv2VV/"palette-2-plugin-master.zip"\''

Hint: It looks like a path. File file:///tmp/tmpjZv2VV/"palette-2-plugin-master.zip" does not exist.

Error!

Could not parse output from pip, see plugin_pluginmanager_console.log for generated output

by

I am also receiving the same error but for both of the plugins:

Canvas plugin:

/home/pi/oprint/bin/python2 -m pip --disable-pip-version-check install 'file:///tmp/tmpCl26ei/"canvas-plugin-master.zip"' --no-cache-dir

ERROR: Invalid requirement: '\'file:///tmp/tmpCl26ei/"canvas-plugin-master.zip"\''

Hint: It looks like a path. File file:///tmp/tmpCl26ei/"canvas-plugin-master.zip" does not exist.

Error!

Could not parse output from pip, see plugin_pluginmanager_console.log for generated output

Palette 2:

/home/pi/oprint/bin/python2 -m pip --disable-pip-version-check install 'file:///tmp/tmpJc4of2/"palette-2-plugin-master.zip"' --no-cache-dir

ERROR: Invalid requirement: '\'file:///tmp/tmpJc4of2/"palette-2-plugin-master.zip"\''

Hint: It looks like a path. File file:///tmp/tmpJc4of2/"palette-2-plugin-master.zip" does not exist.

Error!

Could not parse output from pip, see plugin_pluginmanager_console.log for generated output

by

Thank you for the quick response, I reinstalled octoprint, and this solved the problem, thank you

by

Add a comment

Just tried installing on a raspberry pi 3B+ Canvas plugin installs but Palette 2 shows installed but has no TAB. If reinstalling Palette 2 plugin shows uninstalling and reinstalling but no TAB appears.

Pi3B has been updated to latest Distro.

Octoprint is running 1.5.3

Canvas plugin 2.3.3

Palette 2 2.2.4.13

All other plugins were removed but still the same problem.

Pi3 Os and image rebuilt. Palette 2 plugin still fails to show on Tabs.

Block Image

Was this answer helpful?

Score 0

Comments:

Hey @qwell, thanks for reaching out about this. Could you please send an OctoPrint log (instructions here: mm3d.co/octoprint-logs) from a day that this error occurred to support@mosaicmfg.com? We will take a look on our end.

by

Thanks Resolved, Plugin was disabled and I could not see it in the plugin manager as the filter for only enabled plugins was set.

by

@qwell That's great to hear - please let us know if you run into any other issues!

by

Add a comment

Add your answer

Joe Wisniewski will be eternally grateful.
View Statistics:

Past 24 Hours: 0

Past 7 Days: 1

Past 30 Days: 6

All Time: 215

Contact Mosaic Support Team

© 2021 Mosaic Manufacturing Ltd.